package com.fs.company.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 充值对象 company_recharge
 * 
 * @author fs
 * @date 2023-02-27
 */
public class CompanyRecharge extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long rechargeId;

    /** 企业ID */
    @Excel(name = "企业ID")
    private Long companyId;

    /** 充值订单号 */
    @Excel(name = "充值订单号")
    private String rechargeNo;

    /** 金额 */
    @Excel(name = "金额")
    private BigDecimal money;

    /** 支付时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "支付时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date payTime;

    /** 状态 0未支付 1已支付 */
    @Excel(name = "状态 0未支付 1已支付")
    private Integer status;

    /** 支付类型 1微信 2支付宝 3人工转账 */
    @Excel(name = "支付类型 1微信 2支付宝 3人工转账")
    private Integer payType;

    /** 外部订单号 */
    @Excel(name = "外部订单号")
    private String tradeNo;

    /** 余额 */
    @Excel(name = "余额")
    private BigDecimal balance;

    /** 提交人 */
    @Excel(name = "提交人")
    private Long createUserId;

    /** 审核状态 0待审核 1已审核 */
    @Excel(name = "审核状态 0待审核 1已审核")
    private Integer isAudit;

    /** 审核人 */
    @Excel(name = "审核人")
    private Long auditUserId;

    /** 审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date auditTime;

    private String remark;

    @Override
    public String getRemark() {
        return remark;
    }

    @Override
    public void setRemark(String remark) {
        this.remark = remark;
    }

    public void setRechargeId(Long rechargeId)
    {
        this.rechargeId = rechargeId;
    }

    public Long getRechargeId() 
    {
        return rechargeId;
    }
    public void setCompanyId(Long companyId) 
    {
        this.companyId = companyId;
    }

    public Long getCompanyId() 
    {
        return companyId;
    }
    public void setRechargeNo(String rechargeNo) 
    {
        this.rechargeNo = rechargeNo;
    }

    public String getRechargeNo() 
    {
        return rechargeNo;
    }
    public void setMoney(BigDecimal money) 
    {
        this.money = money;
    }

    public BigDecimal getMoney() 
    {
        return money;
    }
    public void setPayTime(Date payTime) 
    {
        this.payTime = payTime;
    }

    public Date getPayTime() 
    {
        return payTime;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }
    public void setPayType(Integer payType) 
    {
        this.payType = payType;
    }

    public Integer getPayType() 
    {
        return payType;
    }
    public void setTradeNo(String tradeNo) 
    {
        this.tradeNo = tradeNo;
    }

    public String getTradeNo() 
    {
        return tradeNo;
    }
    public void setBalance(BigDecimal balance) 
    {
        this.balance = balance;
    }

    public BigDecimal getBalance() 
    {
        return balance;
    }
    public void setCreateUserId(Long createUserId) 
    {
        this.createUserId = createUserId;
    }

    public Long getCreateUserId() 
    {
        return createUserId;
    }
    public void setIsAudit(Integer isAudit) 
    {
        this.isAudit = isAudit;
    }

    public Integer getIsAudit() 
    {
        return isAudit;
    }
    public void setAuditUserId(Long auditUserId) 
    {
        this.auditUserId = auditUserId;
    }

    public Long getAuditUserId() 
    {
        return auditUserId;
    }
    public void setAuditTime(Date auditTime) 
    {
        this.auditTime = auditTime;
    }

    public Date getAuditTime() 
    {
        return auditTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("rechargeId", getRechargeId())
            .append("companyId", getCompanyId())
            .append("rechargeNo", getRechargeNo())
            .append("money", getMoney())
            .append("createTime", getCreateTime())
            .append("payTime", getPayTime())
            .append("status", getStatus())
            .append("payType", getPayType())
            .append("tradeNo", getTradeNo())
            .append("balance", getBalance())
            .append("createUserId", getCreateUserId())
            .append("isAudit", getIsAudit())
            .append("auditUserId", getAuditUserId())
            .append("auditTime", getAuditTime())
            .toString();
    }
}
